/*
Theme Name: OceanWP Child Theme
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme. Sample child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

body:not(.elementor-editor-active) .hidden {
    display: none !important;
}

p {
    margin: 0 0 10px;
}



/* Sidebars and main content widths */
/*
.content-both-sidebars.scs-style .content-area {
    left: 18%;
}
.content-both-sidebars .content-area {
    width: 64%;
}
.content-both-sidebars.scs-style .widget-area.sidebar-secondary {
    left: -64%;
}
.widget-area {
    width: 18%;
}
*/


/* Kill the responsivness and use static widths */
.container {
    width: 950px !important;
    min-width: 950px !important;
    max-width: none !important;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: stretch;
}
.container.clr:after {
    display: none !important;
}
body.content-both-sidebars #primary {
    width: 60% !important;
    float: none !important;
    position: static !important;
    padding: 0 14px !important;
}
#left-sidebar {
    width: 20%;
    position: static;
    float: none;
    order: -1;
}
#right-sidebar {
    width: 20%;
    position: static;
    float: none;
}
#top-widgets-left,
#top-widgets-right {
    width: 180px;
}







/* Top bar */
#topbar-template {
    display: block;
}

/* Sidebar format */
#left-sidebar-inner,
#right-sidebar-inner {
    margin-top: 16px;
}

.sidebar-box {
    padding: 0 10px;
}
.sidebar-box .widget-title {
    margin: 0 -10px;
    padding: 5px 0 6px 12px;
    background: url('assets/img/sidebar-tab.png') top left repeat-x;
    border: none;
    text-shadow: 0 1px 0 #fff;
}
.sidebar-box.adrotate_widgets {
    text-align: center;
}
.sidebar-box.adrotate_widgets img {
    width: 100%;
}
.sidebar-box ul li {
    background: url('assets/img/bullet.gif') no-repeat top left;
    padding: 4px 0px 6px 16px;
    margin: 2px 0;
    border-bottom: 1px solid #dbe1e3;
}



/* Sidebar Search Widget */
.sidebar-box.widget_search form {
    border: 1px solid #dddddd;
    border-radius: 3px;
    background-color: #ffffff;
}
.sidebar-box.widget_search form input[type="search"] {
    width: calc(100% - 30px);
    display: inline-block;
    border: none;
}
.sidebar-box.widget_search form input.search-icon {
    width: 25px;
    /*background-color: transparent;*/
    background: no-repeat center url('assets/img/search.gif');
    border: none;
    font-size: 0;
    padding: 0;
    height: 40px;
}



/* Custom sidebars format */
.custom-widget-area .sidebar-box {
    padding: 0;
}
.custom-widget-area .sidebar-box {
    margin-bottom: 20px;
}


/* Logo Adrotate Widget! */
#adrotate_widgets-170 img {
    width: inherit;
}



/* Main Menu */
#site-navigation .left-menu.main-menu,
#site-navigation .middle-site-logo,
#site-logo {
    display: none !important;
}
#site-header.center-header #site-navigation-wrap .right-menu {
    width: inherit;
}
#site-header.center-header #site-navigation-wrap .navigation {
    justify-content: center;
}
/*
#site-navigation .right-menu.main-menu {
    background-color: #f8f8f8;
}
#site-navigation >ul>li:not(:last-child) {
    padding-right: 4px;
}*/
#site-navigation >ul.sf-menu
{
    width: 100% !important;
    background-color: #f8f8f8;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
#site-navigation >ul.sf-menu.clr:after {
    display: none !important;
}

#site-navigation .sf-menu >li >a:hover,
#site-navigation .sf-menu >li.current-menu-item >a,
#site-navigation .sf-menu >li.current-menu-parent >a {
    background: url(assets/img/nav-hover.png) top left repeat-x;
    color: #fff;
}
#site-navigation .widget_shopping_cart_content,
#site-navigation .widget_shopping_cart_content a:not(:hover) {
    color: #ffffff;
}



/* Page header */
.page-header {
    margin-bottom: 12px;
    padding: 0;
    background: none;
}
.page-header:not(.archive-page) .page-header-title {
    font-weight: bold;
}
.page-header.archive-page {
    text-decoration: underline;
}


/* Footer Widgets */
#footer-widgets .oceanwp-custom-links li a:before {
    display: none;
}

/* Footer bottom */
#footer-bottom #copyright {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}
#footer-bottom #copyright.clr:after {
    display: none;
}


/* Homepage slider */
.homepage-slider {
    margin-bottom: 20px;
}
.homepage-slider .swiper-slide {
    position: relative;
    width: 100%;
    height: auto;
    aspect-ratio: 3/2;
}
.homepage-slider .swiper-slide >a {
    display: block;
    width: 100%;
    height: 100%;
}
.homepage-slider .swiper-slide .image-wrapper {
    height: 100%;
}
.homepage-slider .swiper-slide .image-wrapper img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.homepage-slider .swiper-slide .title-wrapper {
    position: absolute;
    bottom: 0px;
    left: 0;
    right: 0;
    padding: 2px 5px;
    color: #ffffff;
    background-color: #323232;
    opacity: 0.8;
    font-weight: bold;
    overflow: hidden;
    white-space: nowrap;
}
.homepage-slider .swiper-button-prev {
    background: center / cover no-repeat url('assets/img/fleche1.png');
}
.homepage-slider .swiper-button-next {
    background: center / cover no-repeat url('assets/img/fleche2.png');
}
.homepage-slider .swiper-button-prev,
.homepage-slider .swiper-button-next {
    opacity: 0.5;
}
.homepage-slider .swiper-button-prev:hover,
.homepage-slider .swiper-button-next:hover {
    opacity: 1;
}
.homepage-slider .swiper-button-prev:after,
.homepage-slider .swiper-button-next:after {
    display: none;
}




/* Archive list format */
.blog-entry.grid-entry .blog-entry-inner {
    border: none;
}
#top-blog-entry .blog-entry,
#blog-entries .blog-entry {
    border-top: 1px solid #ddd;
    padding-top: 15px;
}
.blog-entry-summary {
    text-align: justify;
}
.blog-entry.grid-entry .blog-entry-summary {
    line-height: 20px;
}
body .oceanwp-row .col {
    padding: 0;
}
.blog-entry.grid-entry .thumbnail {
    margin: 0;
}
.blog-entry.grid-entry .blog-entry-inner {
    padding-left: 0;
    padding-right: 0;
}
.blog-entry.span_1_of_2:nth-child(odd) {
    padding-right: 10px;
}
.blog-entry.span_1_of_2:nth-child(even) {
    padding-left: 10px;
}
.blog-entry.grid-entry .blog-entry-header .entry-title {
    font-size: 24px;
}
.entry-title {
    margin: 0 0 8px 0;
    padding: 0px;
    line-height: 26px;
    font-family: Arial, Helvetica, Sans-serif;
    font-weight: bold;
    color: #0c3a4e;
}
.blog-entry.post .blog-entry-header .entry-title a {
    font-weight: inherit;
    letter-spacing: inherit;
}



/* Single page format */
.single .entry-title {
    font-size: 24px;
    letter-spacing: inherit;
}
.entry-content {
    text-align: justify;
    line-height: 20px;
}
.alignleft,
.alignright {
    margin: 0;
}

/* Read More */
.blog-entry-readmore,
.search-entry-readmore {
    text-align: right;
}
.blog-entry-readmore a,
.search-results article .search-entry-readmore a {
	padding: 4px 15px;
	background: #6F6F6F;
	color: #fff;
	text-decoration: none;
	text-transform: none;
    font-size: 12px;
	text-shadow: 0 1px #555;
}
.blog-entry-readmore a:hover,
.search-results article .search-entry-readmore a:hover {
	background-color: #888;
}
.blog-entry.post .blog-entry-summary {
    margin-bottom: 10px;
}



/* Thumbnail and caption */
body.home #top-blog-entry .thumbnail {
    margin-right: 10px;
    width: 40%;
    float: left;
}
figure.wp-caption img[class*=wp-image-] {
    margin-bottom: 0;
}
.wp-caption {
    border: 1px solid #ddd;
    text-align: center;
    background-color: #f3f3f3;
    padding-top: 4px;
    padding-left: 4px;
    padding-right: 4px;
    margin: 10px;
    border-radius: 3px;
}
.thumbnail .thumbnail-caption,
.wp-caption-text {
    /*
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
    background-color: #f3f3f3;
    */
    color: #222;
    text-align: center;
    font-size: 11px;
    font-style: normal;
    line-height: 17px;
    padding: 0 4px 5px;
    margin: 0;
}
.thumbnail-without-caption {
    border: 1px solid #ddd;
    padding: 6px;
}
.thumbnail-with-caption {
    border: 1px solid #ddd;
    padding-top: 4px;
    padding-left: 4px;
    padding-right: 4px;
    background-color: #f3f3f3;
}


/* Post ratings */
.post-ratings {
    border-top: 1px solid #f1f1f1;
    border-bottom: 1px solid #f1f1f1;
    margin: 10px 0;
    padding: 10px 0;
}



/* Post Meta */
ul.meta,
.blog-entry.post ul.meta,
.single-post ul.meta {
    font-size: 13px;
    font-style: italic;
    margin-bottom: 0;
    padding-bottom: 3px;
    border-bottom: none;
    color: #8a8a8a;
}
ul.meta li.meta-author-date a {
    font-weight: bold;
}
.single .entry-title {
    padding-bottom: 10px;
    margin-bottom: 0;
    border-bottom: none;
}



/* Other page settings */
.entry-content *,
.ff_widget-container *,
.wp-biographia-container-top * {
    box-sizing: content-box
}



/* Other styles */
.extra-images {
    display: none;
}

body.single-ai1ec_event .entry-content * {
    box-sizing: border-box;
}

.fb-comments-wrapper {
    margin-top: 20px;
}
